## ros-melodic-inorbit-republisher 0.2.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(inorbit_republisher)

find_package(catkin REQUIRED COMPONENTS
  rospy
  roslib
  std_msgs
  geometry_msgs
)

catkin_package()

catkin_install_python(
  PROGRAMS
  scripts/republisher.py
  DESTINATION
  ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-inorbit-republisher (0.2.5-1bionic) bionic; urgency=high

  * Add filtering in JSON mappings (#14 <https://github.com/inorbit-ai/ros_inorbit_samples/pull/14>)
  * Contributors: Elvio_Aruta

 -- InOrbit <support@inorbit.ai>  Wed, 24 Aug 2022 00:00:00 -0000

ros-melodic-inorbit-republisher (0.2.4-1bionic) bionic; urgency=high

  * Add conditionals in package.xml dependencies (#11 <https://github.com/inorbit-ai/ros_inorbit_samples/pull/11>)
  * Contributors: Flor_Grosso

 -- InOrbit <support@inorbit.ai>  Mon, 21 Feb 2022 00:00:00 -0000

ros-melodic-inorbit-republisher (0.2.3-1bionic) bionic; urgency=high

  * Allow filtering single_value mappings (#5 <https://github.com/inorbit-ai/ros_inorbit_samples/pull/5>)
  * Allow publishing package versions, environment variables or fixed strings (#5 <https://github.com/inorbit-ai/ros_inorbit_samples/pull/5>)
  * Allow using config_file parameter instead of config (#5 <https://github.com/inorbit-ai/ros_inorbit_samples/pull/5>)
  * Contributors: adamantivm

 -- InOrbit <support@inorbit.ai>  Mon, 21 Feb 2022 00:00:00 -0000

ros-melodic-inorbit-republisher (0.2.2-1bionic) bionic; urgency=high

  * Add support for JSON of fields
  * Contributors: Flor_Grosso

 -- InOrbit <support@inorbit.ai>  Tue, 07 Dec 2021 00:00:00 -0000

ros-melodic-inorbit-republisher (0.2.1-1bionic) bionic; urgency=high

  * Initial Implementation
  * Contributors: Leandro Pineda

 -- InOrbit <support@inorbit.ai>  Tue, 20 Jul 2021 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-inorbit-republisher
Section: misc
Priority: optional
Maintainer: InOrbit <support@inorbit.ai>
Build-Depends: debhelper (>= 9.0.0), python-yaml, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-inorbit-republisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, python-yaml, ros-melodic-geometry-msgs, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-std-msgs
Description: ROS to InOrbit topic republisher

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-inorbit-republisher//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
